aboutsummaryrefslogtreecommitdiff
path: root/gerboweb/develop-startup.sh
diff options
context:
space:
mode:
authorjaseg <git@jaseg.de>2022-07-04 23:57:28 +0200
committerjaseg <git@jaseg.de>2022-07-04 23:57:28 +0200
commit3ba932209fc33206a28483d07fb0e108d1b16a2b (patch)
treeafd6bf65b37b096f79b2ef2697e72b31a230bc87 /gerboweb/develop-startup.sh
parent1da5919d9133f09bdd112da592620564368fd103 (diff)
downloadgerbolyze-3ba932209fc33206a28483d07fb0e108d1b16a2b.tar.gz
gerbolyze-3ba932209fc33206a28483d07fb0e108d1b16a2b.tar.bz2
gerbolyze-3ba932209fc33206a28483d07fb0e108d1b16a2b.zip
gerboweb: add deployment stuff
Diffstat (limited to 'gerboweb/develop-startup.sh')
-rwxr-xr-xgerboweb/develop-startup.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/gerboweb/develop-startup.sh b/gerboweb/develop-startup.sh
new file mode 100755
index 0000000..8723ab0
--- /dev/null
+++ b/gerboweb/develop-startup.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+cd /gerbolyze/gerbonara
+echo "### Setting up gerbonara ###"
+# newer pip is buggy and just crashes so we pinned an old version.
+# python packaging infrastructure is such an incoherent, buggy mess
+# also ignore the running pip as root warning, it's dumb and here we actually want to do just that.
+python3 -m pip --disable-pip-version-check install .
+cd /gerbolyze
+echo "### Setting up gerbolyze ###"
+python3 -m pip --disable-pip-version-check install .
+
+export PATH=$PATH:$HOME/.cargo/bin
+cd /gerbolyze/gerboweb
+echo "### Launching app ###"
+tmux new-session -d -s dev env GERBOWEB_SETTINGS=gerboweb-develop.cfg FLASK_APP=gerboweb.py flask run -h 0.0.0.0
+tmux bind -n C-q kill-session
+tmux rename-window gerboweb
+tmux split-window -t 0 -v python3 job_processor.py /var/cache/job_queue.sqlite3
+tmux attach